Prediction Create
curl --request POST \
--url https://api.example.com/v2/{entity}/{project}/predictions \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"inputs": {},
"output": "<unknown>",
"evaluation_run_id": "<string>",
"genai_span_ref": [
{
"trace_id": "<string>",
"span_id": "<string>"
}
]
}
'import requests
url = "https://api.example.com/v2/{entity}/{project}/predictions"
payload = {
"model": "<string>",
"inputs": {},
"output": "<unknown>",
"evaluation_run_id": "<string>",
"genai_span_ref": [
{
"trace_id": "<string>",
"span_id": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
inputs: {},
output: '<unknown>',
evaluation_run_id: '<string>',
genai_span_ref: [{trace_id: '<string>', span_id: '<string>'}]
})
};
fetch('https://api.example.com/v2/{entity}/{project}/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prediction_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Créer une prédiction
Create a prediction.
POST
/
v2
/
{entity}
/
{project}
/
predictions
Prediction Create
Corps
application/json
Request body for creating a Prediction via REST API.
This model excludes project_id since it comes from the URL path in RESTful endpoints.
The model reference (weave:// URI)
The inputs to the prediction
The output of the prediction
Optional evaluation run ID to link this prediction as a child call
Optional GenAI span reference(s) produced by this prediction.
Show child attributes
Show child attributes
Réponse
Successful Response
The prediction ID
Dernière modification le 30 septembre 2026
Cette page vous a-t-elle été utile ?